Subject: Re: Notification: incoming/619

From: Richard Lister <[email-masked]>
Date: Thu, 06 Jul 2000 16:10:03 -0400

Looking back at an old message ...

On Tue, 30 May 2000 02:48:35 +0200
Dominik Vogt <[email-masked]> 
wrote concerning 'Re: Notification: incoming/619':
> On Mon, May 29, 2000 at 01:58:09PM -0700, Michael Han wrote:
> > >With xinerama you have only :0.0, or that's what I think (tested
> > >once). Fvwm behaves really strange way with it. Some ascii craphics:
> > 
> > That's very good to know.
> > 
> > >---------------    ------------------
> > >| Secondary   |    | Primary        | 
> > >| 1280x960    |    | 1400x1050      | 
> > >|             |    |                | 
> > >|             |    |                | 
> > >|             |    |                | 
> > >|             |    | Z              | 
> > >---------------    ------------------

As I understand it the situation with Xinerama really looks like this:

 ---------------    ------------------
 | Secondary   |    | Primary        | 
 | 1280x960    |    | 1400x1050      | 
 |             |    |                | 
 |             |    |                | 
 ---------------    |                | 
                    |                | 
                    ------------------
   ^^^^^^^^^^^^
    "dead" space

The X server reports itself as being a rectangle with dimensions
2680x1050 on display :0.0. The only issue is that windows getting
into the dead space (0,961) -> (1280,1050) will not be visible.

> > I've got the bad feeling that the math involved
> > in a lot of places like CleverPlacement just got a lot harder.
> 
> You're an optimist.  I can't believe we can ever properly handle
> this situation.  (Did you notice I'm a pessimist).

Maybe one solution would be to allow the definition of DeadBoxes,
analagous to IconBoxes, and have placement algorithms skip
those areas.

FWIW, I am running a 3200x1200 Xinerama display with identical
cards (i.e. no dead spaces) and fvwm2 with no problems.

Cheers
Ric

Richard J Lister
Dept of Neuroscience and Institute for Cognitive and Computational Sciences
Georgetown University Medical Center, Washington, DC 20007, USA
Phone: +1 202-687 2878.
Email: [email-masked] 
Web: http://www.giccs.georgetown.edu/~ric/
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]